package com.xhkjedu.sapi.model.itemtool.dict;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName DWordtype
 * Description 词典_单词类型表
 * Author WN
 * Date 2020/11/21 11:36
 **/
@Data
@Table(name = "d_wordtype")
public class DWordtype{
    @Id
    private Integer id;//词典_单词类型表
    private Integer wordid;//单词表主键
    private String part;//类型（动词，名词，形容词）
    private String means;//词义 逗号分隔
    private Integer createtime;//创建时间

    private List<DWordtypeMean> wordtypeMeanList = new ArrayList<>();//单次类型词义集合

}
